<?php

defined('IN_COPPERMINE') or die('Not in Coppermine...');

define('LLP_HOLDER', 'plugins/lazyload/holders/'.(empty($CONFIG['plg_lzld_image'])?'t1x1.gif':$CONFIG['plg_lzld_image']));

function lazyload_apply ()
{
	return (defined('INDEX_PHP') || defined('THUMBNAILS_PHP') || defined('EDITPICS_PHP'));
}


$thisplugin->add_filter ('theme_display_thumbnails_params', 'lazyload_params');

function lazyload_params ($params)
{
	if (!strpos($params['{THUMB}'], 'data-echo="')) {
		$params['{THUMB}'] = str_replace('src="', 'src="'.LLP_HOLDER.'" data-echo="', $params['{THUMB}']);
	}

	return $params;
}


$thisplugin->add_filter ('picture_url', 'lazyload_url');

function lazyload_url ($prow)
{
	global $superCage;

	if (isset($prow['system_icon']) || substr($prow['url'],0,7)=='images/') return $prow;
	if (defined('DISPLAYIMAGE_PHP')) return $prow;
	if (defined('INDEX_PHP') && $superCage->get->keyExists('file')) return $prow;

	if (lazyload_apply() && !strpos($prow['url'], 'data-echo="')) {
		$prow['url'] = LLP_HOLDER . '" data-echo="' . $prow['url'];
	}

	return $prow;
}


$thisplugin->add_filter ('gallery_header', 'lazyload_addjs');

function lazyload_addjs ($data)
{
	if (lazyload_apply()) {
		js_include('plugins/lazyload/echo.min.js');
	}
	return $data;
}


$thisplugin->add_filter ('gallery_footer', 'lazyload_initjs');

function lazyload_initjs ($data)
{
	if (lazyload_apply()) {
		return str_ireplace('</body>', '<script>echo.init({offset:200, throttle:250, debounce:false});</script></body>', $data);
	}
	return $data;
}

