<?php
$imgs = array_diff(scandir('.'), ['..','.','view.php']);
?>
<!DOCTYPE html>
<html>
	<head>
		<style>
			body {background-color:black}
			img {margin:8px;width:120px;height:100px}
			.bcd {width:max-content;display:inline-flex;border:4px solid red}
			.bcp {width:50px;height:50px}
			.views {display:inline-flex;margin-top:8px;flex-flow: wrap}
			.imgn {padding:3px;color:white;background-color:red}
			img.loader {
				border: 8px solid #f3f3f3;
				border-radius: 50%;
				border-top: 8px solid #a0a0a0;
				width: 100px;
				height: 100px;
				-webkit-animation: spin 1s linear infinite; /* Safari */
				animation: spin 1s linear infinite;
			}
			.expcss {color:red};
			@-webkit-keyframes spin {
			  0% { -webkit-transform: rotate(0deg); }
			  100% { -webkit-transform: rotate(360deg); }
			}
			@keyframes spin {
			  0% { transform: rotate(0deg); }
			  100% { transform: rotate(360deg); }
			}
		</style>
		<script>
			function setbgc (elem) {
				document.body.style.backgroundColor = elem.style.backgroundColor;
			}
		</script>
	</head>
	<body>
		<div class="bcd">
			<div class="bcp" onclick="setbgc(this)" style="background-color:black"></div>
			<div class="bcp" onclick="setbgc(this)" style="background-color:white"></div>
			<div class="bcp" onclick="setbgc(this)" style="background-color:gray"></div>
			<div class="bcp" onclick="setbgc(this)" style="background-color:aliceblue"></div>
			<div class="bcp" onclick="setbgc(this)" style="background-color:wheat"></div>
			<div class="bcp" onclick="setbgc(this)" style="background-color:lightcyan"></div>
		</div>
		<div class="views">
<?php foreach ($imgs as $img) {
	if ($img=='t1x1.gif') {
		echo '<br>&nbsp;<div class="expcss"><span class="imgn">'.$img.'</span><br>Experimental CSS spinner<br><img class="loader" src="'.$img.'" /></div>';
	} else
	echo '<br>&nbsp;<div><span class="imgn">'.$img.'</span><br><img src="'.$img.'" /></div>';
} ?>
		</div>
	</body>
</html>